M_ActivitySummerPlanRechargedCFG = {}

function M_ActivitySummerPlanRechargedCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivitySummerPlanRechargedCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, NeedRecharged = 30, ItemID = {1,333}, ItemCount = {300000,1}}
	self.datas[2] = {ID = 2, NeedRecharged = 60, ItemID = {1,333}, ItemCount = {600000,3}}
	self.datas[3] = {ID = 3, NeedRecharged = 100, ItemID = {1,333}, ItemCount = {1000000,6}}
	self.datas[4] = {ID = 4, NeedRecharged = 200, ItemID = {1,333}, ItemCount = {2000000,8}}
	self.datas[5] = {ID = 5, NeedRecharged = 500, ItemID = {1,333}, ItemCount = {5000000,12}}
	self.datas[6] = {ID = 6, NeedRecharged = 1000, ItemID = {1,333}, ItemCount = {10000000,20}}
	self.datas[7] = {ID = 7, NeedRecharged = 5000, ItemID = {1,333}, ItemCount = {50000000,50}}
end

M_ActivitySummerPlanRechargedCFG:init()
